﻿using System;
using System.Web.UI.WebControls;
using System.Collections.Generic;
using Infragistics.Web.UI.ListControls;
using System.Linq;
using System.Web.UI;

public partial class _Default : System.Web.UI.Page
{
	int ControlIdsCount
	{
		get 
		{
			if (ViewState["ControlIdsCount"] == null) return 0;
			return (int)ViewState["ControlIdsCount"];
		}

		set 
		{
			ViewState["ControlIdsCount"] = value;
		}
	}

	protected void Page_Load(object sender, EventArgs e) 
	{
		btnLoad.Click += new EventHandler(btnLoad_Click);

		if (IsPostBack)
		{
			RecreateCascadeControls();
		}
	}

	void btnLoad_Click(object sender, EventArgs e)
	{
		LoadCascadeControl();
	}

	private void LoadCascadeControl(bool isNewControl = true)
	{
		Control cascadeDropdown = LoadControl("~/UserControls/CascadeWebDropdown.ascx");
		plhCascadeDropDown.Controls.Add(cascadeDropdown);

		if (isNewControl)
		{
			ControlIdsCount++;
		}
	}

	private void RecreateCascadeControls()
	{
		for (int i = 0; i < this.ControlIdsCount; i++)
		{
			LoadCascadeControl(isNewControl: false);
		}
	}
}
